/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/
package org.eclipse.birt.test.performance.reporting.model;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.birt.test.performance.reporting.xml.XMLReportVisitor;


public class ThreadNode extends BaseNode
{
	private String id = null;
	private List durations = new ArrayList();
	
	/**
	 * @return Returns the durations.
	 */
	public List getDurations( )
	{
		return durations;
	}
	
	/**
	 * @param durations The durations to set.
	 */
	public void addDuration( Duration duration )
	{
		this.durations.add( duration );
	}
	
	/**
	 * @return Returns the id.
	 */
	public String getId( )
	{
		return id;
	}
	
	/**
	 * @param id The id to set.
	 */
	public void setId( String id )
	{
		this.id = id;
	}

	public void accept( XMLReportVisitor visitor )
	{
		visitor.visit( this );
	}
	
	
}
